pro batse_copy, qdebug=qdebug, infil=infil, mk_week_file=mk_week_file, nocopy_cat=nocopy_cat
;
;
;HISTORY:
;	Written 18-May-93 by M.Morrison
;	19-Aug-93 (MDM) - Removed /self switch from Mail call
;	 6-Oct-93 (MDM) - Modified to use SDAC instead of ISIS computer
;	 4-Jan-94 (MDM) - Modified mailing list
;        9-apr-96 (SLF) - changed SDAC batse subdirectory (to: BATSE_DISK0:[BATSE]
;
outdir  = getenv('ydb_raw') + '/batse_raw'
logdir  = '$ys/site/script'
ftp_fil = concat_dir(logdir, 'batse.ftp')
catfil = concat_dir(outdir, 'batse_flare.cat')
;node = 'isis.gsfc.nasa.gov'
node = 'sdac.nascom.nasa.gov'
;
if (not keyword_set(nocopy_cat)) then begin
    spawn, 'rm -f ' + ftp_fil
    openw, lun, ftp_fil, /get_lun
    printf, lun, 'open ' + node
    printf, lun, 'user yohkoh_team solar_a'	;'anonymous yohkoh'
    printf, lun, 'cd BATSE_DISK0:[BATSE]'	
    printf, lun, 'binary
    printf, lun, 'get batse_flare.cat ' + catfil
    printf, lun, 'bye'
    free_lun, lun
    
    cmd = 'ftp -n < ' + ftp_fil
    result = ''
    spawn, cmd, result
    prstr, result
    if (result(0) ne '') then return
    ;
    mk_gbe		;make the GBE file
end
rd_gbe, '10-apr-91', anytim2ints(!stime, off=24*60.*60.), gbe
;
ff=findfile(outdir)
ss = where(strpos(ff, '.sav') ne -1)
if (ss(0) ne -1) then begin
    ff = ff(ss)	;get rid of other junk ("batse_flare.cat" for example)
    nn = n_elements(ff)
    events_already = intarr(nn)
    for i=0,nn-1 do events_already(i) = fix(strmid(ff(i), 6, strlen(ff(i))-4-6))
end else begin
    events_already = 0
end
;
event_map = bytarr(max(gbe.event)+1)
event_map(0) = 1		;there is no event 0
event_map(events_already) = 1	;events we already have
;
ss = where(event_map eq 0)
if (ss(0) eq -1) then begin
    print, 'BATSE_COPY: No new files to copy'
    return
end
events = ss
filnam = 'flare_' + strtrim(events,2) + '.sav'
;
print, 'Files to copy: '
prstr, '    ' + filnam	
if (keyword_set(qdebug)) then stop
outfil1 = concat_dir(outdir, filnam)
;
spawn, 'rm -f ' + ftp_fil
openw, lun, ftp_fil, /get_lun
printf, lun, 'open ' + node
printf, lun, 'user yohkoh_team solar_a'	;'anonymous yohkoh'
printf, lun, 'binary
printf, lun, 'cd batse$flares:'			;'sys$data2:[batse.flares]
for i=0,n_elements(outfil1)-1 do printf, lun, 'get ' + filnam(i) + ' ' + outfil1(i)
printf, lun, 'bye'
free_lun, lun

cmd = 'ftp -n < ' + ftp_fil
result = ''
spawn, cmd, result
prstr, result
;
if (result(0) ne '') then begin
    message = ['BATSE_COPY unsuccessful for '+filnam, result]
    mail, message, user='$MAIL_CRONJOBS'
end else begin
    message = ['BATSE_COPY successful for ', filnam]
    mail, message, user='$MAIL_CRONJOBS'
end
;
if (keyword_set(mk_week_file)) then begin
    ss = where_arr(gbe.event, events)
    tims = gbe(ss)
    wids = ex2week(tims, /wid, /get_uniq)
    for i=0,n_elements(wids)-1 do mk_week_file, 'gbl', week=wids(i)
end

end
