function get_gol_site, item
;
;+
;NAME:
;	get_gol_site
;PURPOSE:
;	Given a GBO Observing Log structure or a string array, return
;	a the description of site
;SAMPLE CALLING SEQUENCE:
;	a = get_gol_site(gol)
;	a = get_gol_site('h')
;INPUT:
;	item	- The input GOL structure or string
;OUTPUT:
;	a string array the same length as the input with the description
;	of the site
;HISTORY:
;	Written 21-Apr-93 by M.Morrison
;-
;
if (n_elements(item) eq 0) then  begin
    help_prefix, 'gx_', /full
    return, ''
end
;
n = n_elements(item)
siz = size(item)
typ = siz( siz(0)+1 )
case typ of
    8: val = strupcase( strmid( string(reform(item.st$site,1,n)), 0, 1 ) )
    7: val = strupcase(item)
    else: begin
		message, 'Do not recognize the input variable type', /info
		return, ''
	  end
endcase
;
out = strarr(n) + 'Unknown'
ss = where(val eq 'B')	& if (ss(0) ne -1) then out(ss) = 'Big Bear
ss = where(val eq 'C')	& if (ss(0) ne -1) then out(ss) = 'Boulder, CO
ss = where(val eq 'G')	& if (ss(0) ne -1) then out(ss) = 'GSFC
ss = where(val eq 'H')	& if (ss(0) ne -1) then out(ss) = 'Holloman (SOON)
ss = where(val eq 'J')	& if (ss(0) ne -1) then out(ss) = 'CRL/Hiraiso
ss = where(val eq 'K')	& if (ss(0) ne -1) then out(ss) = 'Kitt Peak
ss = where(val eq 'L')	& if (ss(0) ne -1) then out(ss) = 'Leamonth (SOON)
ss = where(val eq 'N')	& if (ss(0) ne -1) then out(ss) = 'NAOJ
ss = where(val eq 'P')	& if (ss(0) ne -1) then out(ss) = 'Palehua (SOON)
ss = where(val eq 'R')	& if (ss(0) ne -1) then out(ss) = 'Ramey (SOON)
ss = where(val eq 'S')	& if (ss(0) ne -1) then out(ss) = 'San Vito (SOON)
;
return, out
end

