pro get_mk3, time, image, r, g, b, dattimd=dattim, $
	mask=mask, latest=latest, ftp=ftp
;+
;   Name: get_mk3
;
;   Purpose: get Mauna Loa MK3 magnetograph
;
;   24-sep-1995 (SLF) First Light optional image
;-
mk3env=get_logenv('DIR_GEN_MK3')

if mk3env eq '' then begin
   message,/info,"No directory $DIR_GEN_MK3 is defined..."
   return
endif

ftpit=keyword_set(ftpit)

if ftpit or n_params() eq 0 then begin
;  ----------------------------
;  remote ftp information
   mk_ip="puu.hao.ucar.edu"
   subdir="mk3/raw_daily_image"
   timefile="latestmk3time"
   imgfile ="latest.mk3.gif"
;  ----------------------------

   mklast=concat_dir(mk3env,"mk3_lasttime")
   file_delete,mklast
   ftp_copy, timefile, mk_ip, subdir, /anon, /get, outdir=mk3env, outfil=mklast

   if not file_exist(mklast) then begin
      message,/info,"Could not find time file, quitting..."
      return
   endif

   newtime=fmt_tim(rd_tfile(mklast))
   newfile=concat_dir(mk3env,"mk3" + ex2fid(anytim2ex(newtime))) + ".gif"

   file_delete,concat_dir(mk3env,imgfile)

   if not file_exist(newfile) then begin
      message,/info,"Dont have file: " + newfile
      ftp_copy, imgfile, mk_ip, subdir, /anon, /get, outdir=mk3env
      spawn,['mv','-f',concat_dir(mk3env,imgfile),newfile],/noshell
   endif else message,/info,"Already have file: " + newfile
endif else begin
   if n_elements(time) eq 0 then time=fmt_tim(!stime)
   files=file_list(mk3env,'mk3*gif')
   fname=strmid(strsplit(files,'/',/last,/tail),3,11)
   ss=tim2dset(anytim2ints(fid2ex(fname)),time,delta=delta)
   window=72.
   if abs(delta(0)) gt window*3600.  then $
      message,/info,"Warning: Closest image if more than 72
   dattim=fmt_tim(fid2ex(fname(ss)))
   read_gif,files(ss),image,r,g,b
endelse

if keyword_set(mask) then begin
   letters=where(image eq 200,lcnt)
   if lcnt gt 0 then image(letters)=0   
endif

return
end
