pro gsn_info, h_str, tim, site, image_type, tape_name
;
;HISTORY:
;	Written Aug-94 by M.Morrison
;	22-Sep-94 (MDM) - Added tape_name as input so that if site
;			  is not known, it can use the tape name
;
;
;
ss = where(strmid(h_str, 0, 8) eq 'TIME-OBS')	& timstr = strmid(h_str(ss(0)), 11, 8)
ss = where(strmid(h_str, 0, 8) eq 'DATE-OBS')	& datstr = strmid(h_str(ss(0)), 11, 8)
tim = anytim2ints(datstr + ' ' + timstr)
;
ss = where(strmid(h_str, 0, 8) eq 'TYPE-OBS')	& type_obs = strmid(h_str(ss(0)), 11, 8)
ss = where(strmid(h_str, 0, 8) eq 'ORIGIN  ')	& origin = strmid(h_str(ss(0)), 11, 8)

ss = where(strmid(h_str, 0, 8) eq 'CDELT1  ')       & xpix_siz = float(strmid(h_str(ss(0)), 10, 12))
ss = where(strmid(h_str, 0, 8) eq 'CDELT2  ')       & ypix_siz = float(strmid(h_str(ss(0)), 10, 12))

case origin of
	'PALEHUA,': site = byte('P')	;       'PALEHUA, HAWAII     '
	'HOLLOMAN': site = byte('H')	;       'HOLLOMAN, NEW MEXICO'
	'RAMEY, P': site = byte('R')	;       'RAMEY, PUERTO RICO  '
	'SAN VITO': site = byte('S')	;       'SAN VITO, ITALY     '
	'LEARMONT': site = byte('L')	;       'LEARMONTH, AUSTRALIA'

	;could do site = strmid(origin, 0, 1) but want to do a check for a valid site name

	else: begin
		site = 0
		print, 'Unrecognized site: ' + origin
		;tbeep, 3
		site = byte('?')
		if (keyword_set(tape_name)) then site = byte(strmid(tape_name, 2, 1))
	      end
endcase
;
case type_obs of
	'H-ALPHA ': if (xpix_siz lt 1.5) then image_type = byte('C') else image_type = byte('H')
	'B2      ': image_type = byte('B')
	;TODO - add other image types - magnetogram
	else: begin
		image_type = 0
		print, 'Unrecognized image type: ' + type_obs
		tbeep, 3
		image_type = byte('?')
	      end
endcase

end
