pro help_coal, hc=hc, eps=eps, file=file
;+
;NAME:
;	help_coal
;PURPOSE:
;	To show the COAL_IMAGE figure to help understand
;OPTIONAL KEYWORD INPUT:
;	hc	- If set, make a hardcopy of the plot
;RESTRICTIONS:
;	It must be run to either X window or PS device
;HISTORY:
;	Written 11-Jan-94 by M.Morrison
;-
;
xsiz = 6.25
ysiz = 3.5
f = 0.95
if (keyword_set(hc) or (!d.name eq 'PS')) then begin
    set_plot, 'ps
    device, xsize=xsiz , ysize=ysiz , /inches
    if (keyword_set(eps)) then device, /encapsulated
    f = 0.75
end else begin
    win_xsiz=xsiz*100
    win_ysiz=ysiz*100
    qmake_window = 0
    if (!d.window eq -1) then qmake_window = 1
    if ((!d.x_size ne win_xsiz) or (!d.y_size ne win_ysiz)) then qmake_window=1
    if (qmake_window) then wdef, win, win_xsiz, win_ysiz, /ur else wshow
end
;
if (keyword_set(file)) then begin & device, /close & device, file=file(0) & end
;
!p.region = [0,0,1,1]
!p.position = [0,0,1,1]
;
xcir = cos(findgen(200)/199*2*!pi) * 15
ycir = sin(findgen(200)/199*2*!pi) * 15
cc = [21,21]
xbox = [-21,21,21,-21,-21]
ybox = [-21,-21,21,21,-21]
;
yrange = [0, 80]
xrange = [-0.5,0.5]*yrange(1)*xsiz/ysiz
plot, fltarr(2), fltarr(2), yrange=yrange, xrange=xrange, /nodata, xstyle=1+4, ystyle=1+4
;
x0 = -25
y0 = 45
yy0 = y0 + 4
oplot, x0+xbox, y0+ybox
oplot, x0+xcir, yy0+ycir
xyouts, x0+min(xbox), y0+min(ybox)-4, align=0.5, '(-256,-314)', siz=1.3*f
;
;
x0 = 25
xx = (xcir*2+21)<21>(-21)
yy = (ycir*2-21)<21>(-21)
oplot, x0+xbox, y0+ybox
oplot, x0+xx, y0+yy
xyouts, x0+min(xbox), y0+min(ybox)-4, align=0.5, '(-500,200)', siz=1.3*f
;
xyouts, 0, y0-32, size=1.3*f, align=0.5, 'COAL_IMAGE needs the coordinate of the lower left corner
xyouts, 0, y0-35, size=1.3*f, align=0.5, 'relative to sun center.  So if the sun center is to the
xyouts, 0, y0-38, size=1.3*f, align=0.5, 'right, the X value is negative, and if the sun center is
xyouts, 0, y0-41, size=1.3*f, align=0.5, 'up, then the Y value is negative.

end

