;+
; NAME:
;      	lastgki
; PURPOSE:
;	reads the last gki image (NSO/KP He 10830 images
; CATEGORY:
; CALLING SEQUENCE:
;	img = lastgki()
;	img = lastgki(gkitime=tt)
; OPTIONAL (KEYWORD) INPUT PARAMETERS:
;	gkitime is the start time of the image scan, fmt_tim style
; OUTPUTS:
;	img is (477,477)
; COMMON BLOCKS:
; ROUTINES CALLED:
;	gbo_paths, file_list, rfits, anytim
; MODIFICATION HISTORY:
;	DA, HSH, RAS written 13-Apr-94
;       SLF 13-Apr-94 use /NOSHELL keyword in gbo_path call (inhibit shell)
;	HSH 18-Apr-94 fixed end-of-week problem with finding GKI's
;-
function lastgki, img, gkitime=gkitime
dirs = gbo_paths(/gbo_only,/noshell)
n_dirs = n_elements(dirs)
gkis = file_list(dirs(n_dirs-2:n_dirs-1),'gki'+'*')
last = 0
if n_elements(gkis) ne 0 then last = n_elements(gkis)-1
img = rfits(gkis(last),head=head)
gkitime = strmid(head(17),11,8)
gkidate = strmid(head(8),11,8)
hxrbsdate= arr2str(reverse(str2arr(gkidate,delim='-')), delim='/')
gkitime = anytim(hxrbsdate,/date,/yohkoh)+' '+gkitime
return, img
end
