pro mk_gbl, infil, outdir=outdir
;+
;NAME:
;	mk_gbl
;PURPOSE:
;	Make the Yohkoh formated GRO/BATSE light curve file (GBL)
;HISTORY:
;	Written 13-Apr-93 by M.Morrison
;-
;
;
gbo_struct, batse_lcur=out_ref
;
progVerNo = 1.00*1000
progName = 'MK_GBL.PRO'
;
gen_struct
obs_struct
;
fhead           = {file_header_rec}
get_lun, lunout
rsiz = 16
;
;---------------------------------------- Get event information  --------------------
restore, file=infil		;an IDL save file
mipseb_dblfixup, flare_datacom	;fix the double precision problem

if (n_elements(outdir) eq 0) then outdir = '$DIR_GEN_BATSE'
tim = flare_datacom.start_secs
daytim = anytim2ints([((tim mod 86400)-60.)*1000, fix(tim/86400)+1])	;less 60 seconds because of some discrepancy !!!
tarr = anytim2ex(daytim)
file_id = ex2fid(tarr)
filnam = 'gbl' + file_id
outfil = concat_dir(outdir, filnam)
;
n = n_elements(archive_sec)
out = replicate(out_ref, n)
tims = anytim2ints(replicate(daytim, n), off=archive_sec)
out.time = tims.time
out.day  = tims.day
out.channel1 = archive_data(*,0)
out.channel2 = archive_data(*,1)
;
;---------------------------------------- Open/write to output file --------------------
open_da_file, lunout, '', '', outfil, rsiz, bytout, fpoint, /nolower

fpoint.data_section = bytout

rdwrt, 'W', lunout, bytout, rsiz, out, 1
totbytes = bytout

fpoint.TotBytes         = totbytes

fhead.first_Time        = out(0).time
fhead.first_Day         = out(0).day
fhead.last_Time         = out(n-1).time
fhead.last_Day          = out(n-1).day

fhead.nDataSets         = n
fhead.maxSamps          = get_nbytes(out(0))

wrt1p_fh, lunout, fpoint, fhead, rsiz, progName, progVerNo, file_id, 'GBL', 'BAT', spacecraft='GRO'
close, lunout
end


