pro nobeyama_update, nodir=nodir, directory=directory, mk_week_file=mk_week_file
;
;+   
;   Name: nobeyama_update
;
;   Purpose: update nobeyama data base
;
;   Keyword Parameters
;      nodir - if set, do not ftp directory files (use existing or supplied)
;      directory - directory file(s) - [lists of bfYYMMDD.fits names]
;      mk_week_file - if set, regenerate associated nts files      
;
;   History:
;      13-Apr-1994 (SLF) Written
;-

node='133.40.76.80'
user='anonymous'
passwd='yohkoh'
outlog=get_logenv('DIR_SITE_LOGS')

getdir=(1-keyword_set(nodir)) and (1-keyword_set(directory))
if getdir then begin
   subdir='pub'
   file='REPLACE.ls'
   file_delete,concat_dir(outlog,file)
   message,/info,'Getting directory file: ' + file
   ftp_copy,file,node,user,passwd,subdir,/get, outdir=outlog
   file='NEW.ls'
   file_delete,concat_dir(outlog,file)
   message,/info,'Getting directory file: ' + file
   ftp_copy,file,node,user,passwd,subdir,/get, outdir=outlog
endif

if not keyword_set(directory) then $
   directory=concat_dir(outlog,['REPLACE','NEW'] + '.ls')

files=''
for i=0,n_elements(directory)-1 do begin
   message,/info,"Reading directory file: " + directory(i)
   if not file_exist(directory(i)) then begin
      tbeep
      message,/info,"Can't find directory file:" + directory(i) 
   endif else files=[files,rd_tfile(directory(i),/compress)]
endfor

good=where(files ne '', gcnt)
if gcnt eq 0 then begin
   tbeep
   message,/info,'No valid file names contained in directory files, exiting
   return
endif else files=files(good)
files=files(sort(files))
fcnt=n_elements(files)
uss=uniqo(files)

if fcnt ne n_elements(uss) then begin
   tbeep
   message,/info,'There were ' + strtrim(fcnt-n_elements(uss),2) + ' duplicate files found'
   files=files(uss)
   prstr,['Duplicates...',files(where(deriv_arr(uss) gt 1))]
endif

break_file,files,log,paths,names,exts,vers
corplot=wc_where(files,'*cor_plot/bf*.fits',corcnt)
case 1 of
   corcnt eq 0: begin
      tbeep
      message,/info,'Only cor_plot/bf*.fits files currently handled, exiting
      return
   endcase
   corcnt ne n_elements(files):begin
      message,/info,'Only cor_plot/bf files currently handled
      message,/info,'Number handled: ' + strtrim(corcnt,2)
      message,/info,'Number skipped: ' + strtrim( n_elements(files)-corcnt,2)
   endcase
   else:
endcase         

ntsfiles=names(corplot) + exts(corplot) + vers(corplot)
nts_copy,infil=ntsfiles, mk_week_file=mk_week_file

return
end
