pro nts_copy, qdebug=qdebug, infil=infil, mk_week_file=mk_week_file
;
;+
;
;HISTORY:
;	Written 14-May-93 by M.Morrison
;       14-May-93 (MDM) - Changed to use $ydb_raw and $ys
;       26-May-93 (MDM) - Changed to use /ys/site/script instead of /ys/gen/script
;	19-Jun-93 (MDM) - Modified to avoid file that do not begin with "bf"
;			  and do not have ".fits"  as the extension
;       19-Aug-93 (MDM) - Removed /self switch from Mail call
;	 3-Oct-93 (MDM) - Patch since "ls *" command was not working
;			  since 21-Aug for some reason
;	 8-Nov-93 (MDM) - Patch since there were too many files in the
;			  nobeyama_raw directory
;	 3-Jan-93 (MDM) - Modified mailing list
;       13-Apr-94 (SLF) - dont copy directory if files passed in.
;-
;
outdir  = getenv('ydb_raw') + '/nobeyama_raw'
logdir  = '$ys/site/script'
dirfil  = concat_dir(outdir, 'directory')
ftp_fil = concat_dir(logdir, 'nobeyama.ftp')
node = '133.40.76.80'
;
spawn, 'rm -f ' + ftp_fil
if not keyword_set(infil) then begin
   openw, lun, ftp_fil, /get_lun
   printf, lun, 'open ' + node
   printf, lun, 'user anonymous yohkoh'
   printf, lun, 'prompt'			;don't ask for confirmation
   printf, lun, 'cd pub
   printf, lun, 'ls cor_plot ' + dirfil
   printf, lun, 'bye'
   free_lun, lun
   cmd = 'ftp -n < ' + ftp_fil
   result = ''
   spawn, cmd, result
   prstr, result
   new_fil = rd_tfile(dirfil)
   ff = file_list(outdir, '*.fits', /cd)
   break_file, ff, dsk_log, dir0, filnam, ext
   old_fil = filnam+ext
   ;
   new = bytarr(n_elements(new_fil)) + 1b
   ss = where_arr(new_fil, old_fil)
   if (ss(0) ne -1) then new(ss) = 0
;
   ss = where( (strmid(new_fil, 0, 2) ne 'bf') or (strpos(new_fil, '.fits') eq -1) )	;find where not "bf..." and not ".fits"
   if (ss(0) ne -1) then begin
       prstr, 'Avoiding files: ' + new_fil(ss)
       new(ss) = 0		;avoid these
   end

   ss = where(new)
   if (ss(0) eq -1) then begin
       print, 'NOB_COPY: No new files to copy'
       return
   end
   filnam = new_fil(ss)
   print, 'Files to copy: '
   prstr, '    ' + filnam	
   if (keyword_set(qdebug)) then stop
endif else filnam=infil

outfil1 = concat_dir(outdir, filnam)
;
spawn, 'rm -f ' + ftp_fil
openw, lun, ftp_fil, /get_lun
printf, lun, 'open ' + node
printf, lun, 'user anonymous yohkoh'
printf, lun, 'cd pub/cor_plot
for i=0,n_elements(outfil1)-1 do printf, lun, 'get ' + filnam(i) + ' ' + outfil1(i)
printf, lun, 'bye'
free_lun, lun

cmd = 'ftp -n < ' + ftp_fil
result = ''
spawn, cmd, result
prstr, result
;
if (result(0) ne '') then begin
    message = ['NTS_COPY unsuccessful for '+filnam, result]
    mail, message, user='$MAIL_CRONJOBS'
end else begin
    message = ['NTS_COPY successful for ', filnam]
    mail, message, user='$MAIL_CRONJOBS'
end
;
if (keyword_set(mk_week_file)) then begin
    tarr = fid2ex(strmid(filnam, 2, 6))
    wids = ex2week(tarr, /wid, /get_uniq)
    for i=0,n_elements(wids)-1 do mk_week_file, 'nts', week=wids(i)
end

end
