pro rd_gsn, infil, head, obs, imap, fmap, hmap, qstop=qstop
;+
;NAME:
;	rd_gsn
;PURPOSE:
;	Read the SOON/SPOT Catalog
;CALLING SEQUENCE:
;INPUT:
;OUTPUT:
;OPTIONAL KEYWORD INPUT:
;OPTIONAL KEYWORD OUTPUT:
;RESTRICTIONS:
;HISTORY:
;	Written 7-Dec-93 by M.Morrison
;       23-Sep-94 (MDM) - Changed definition of FMAP slightly
;	 2-Aug-95 (MDM) - Added HMAP
;-
;
obs_struct
soon_struct
;;soon_struct, gsn_obs=data_ref
data_ref = {gsn_obs_rec}
NewOrb_Hd = {Obs2_NewOrb_Hd_Rec}
head_ref = {gsn_pointer_rec}
ntothead = 0
;
nfil = n_elements(infil)
for ifil=0,nfil-1 do begin
    if (not file_exist(infil(ifil))) then begin
	print, 'RD_GSN: File not found: ' + infil(ifil)
stop
    end else begin
	openr, lun, infil(ifil), /get_lun, /block
	rd_pointer, lun, pointer
	rd_fheader, lun, fheader, ndset
	;
	ibyt = pointer.opt_section
	rdwrt, 'R', lun, ibyt, 0, NewOrb_Hd, 1
	nOrbitRec = NewOrb_Hd.nOrbitRec 
	head0 = replicate(head_ref, nOrbitRec)
	rdwrt, 'R', lun, ibyt, 0, head0
	if (ifil eq 0) then head = head0 else head = [head, head0]
	;
	if (n_params() gt 2) then begin
		st_dset = 1
		en_dset = fheader.ndatasets
		ndset = (en_dset-st_dset + 1)
		obs0 = replicate(data_ref, ndset)

		ibyt = pointer.data_section + (st_dset-1)*get_nbytes(obs0(0))
		rdwrt, 'R', lun, ibyt, 0, obs0
		;
		n = n_elements(obs0)
		imap0 = intarr(n)+1
		for i=1,n_elements(head0)-1 do begin
		    ist = total(head0(0:i-1).n_images)
		    imap0(ist:*) = i+1
		end
		;if (nfil gt 1) then fmap0 = bytarr(n) + byte(ifil) else fmap0 = 0b
		fmap0 = bytarr(n) + byte(ifil) 
		hmap0 = imap0 + ntothead

		if (ifil eq 0) then begin
		    obs = temporary(obs0)
		    imap = temporary(imap0)
		    fmap = temporary(fmap0)
		    hmap = temporary(hmap0)
		end else begin
		    obs = [obs, temporary(obs0)]
		    imap = [imap, temporary(imap0)]
		    fmap = [fmap, temporary(fmap0)]
		    hmap = [hmap, temporary(hmap0)]
		end
		ntothead = ntothead + nOrbitRec
	end
	free_lun, lun
    end
end

if (keyword_set(qstop)) then stop
end
